{ config, pkgs, ... }: 

{
    # Name your host machine
    networking.hostName = "garrus"; 

    # System76
    hardware.system76.enableAll = true;
    environment.systemPackages = with pkgs; [
        system76-keyboard-configurator
        firmware-manager

        # Misc
        steam

        # COSMIC Utils
        cosmic-ext-tweaks
        cosmic-ext-forecast
        cosmic-ext-tasks
        cosmic-ext-calculator
        cosmic-ext-examine
        stellarshot
    ];

    # Enable COSMIC
    services.desktopManager.cosmic.enable = true;
    services.displayManager.cosmic-greeter.enable = true;

    # Allow Unfree
    nixpkgs.config.allowUnfree = true;
}
